//$MOZILLA_START$//

dtxFramework.IFrame = function(framework, id) {

    // inheritance
    dtxFramework.XULWrapper.apply(this, [framework, id]);

	var self = this;
    
    this.tagName = "iframe";
    
    this.$updateWhenChanged = false;

    this.getContentDocument = function() {
		return this.$domNode.contentDocument;
    };
    
};

dtxFramework.inherits(dtxFramework.IFrame, dtxFramework.XULWrapper);

dtxFramework.IFrame.prototype.$createDOMNode = function() {
	var iframe = document.createElement("iframe");
	iframe.setAttribute("type", "content");
	return iframe;
};

dtxFramework.IFrame.prototype.$connectDOM = function() {
	dtxFramework.XULWrapper.prototype.$connectDOM.apply(this, []);
    try{
        this.contentDocument = this.$domNode.contentDocument;
    }catch(e){
        this.contentDocument = null;
    }
};

//$MOZILLA_END$//