//$MOZILLA_START$//

dtxFramework.Image = function(framework, id) {
    // inheritance
    dtxFramework.XULWrapper.apply(this, [framework, id]);
    
    this.tagName = "image";
    this.$ID_IMAGE = "-image";   
    this.$domImage = null;    
    
    //additional attributes to localize
    this.$localeAttributes = this.$localeAttributes.concat(["title","tooltiptext"]);
    
    this.$render = function() {
		var ImageBox = document.createElement("vbox");
		ImageBox.setAttribute("valign", "middle");
		ImageBox.setAttribute("autostretch", "never");
    	
		var image = document.createElement("image");
		image.setAttribute("id", this.$id + this.$ID_IMAGE);
		
		ImageBox.appendChild(image);
		this.$domNode.appendChild(ImageBox);

    	if (this.$designMode) {
    		var vbox = document.createElement("vbox");
    		vbox.setAttribute("valign", "middle");
    		vbox.setAttribute("autostretch", "never");
    		var img = document.createElement("image");
    		img.setAttribute("src", this.framework.makeChromeURL("skin/lib/move.gif"));
    		img.setAttribute("flex", "0");
    		img.setAttribute("style", "margin-top: 3px;");
    		vbox.appendChild(img);
    		this.$domNode.appendChild(vbox);    
    	}    	
    };    
    
};

dtxFramework.inherits(dtxFramework.Image, dtxFramework.XULWrapper);

dtxFramework.Image.prototype.$createDOMNode = function() {
	return document.createElement("hbox");
};

dtxFramework.Image.prototype.$connectDOM = function() {
	this.$domImage = this.$getNode(this.$id + this.$ID_IMAGE);
};

dtxFramework.Image.prototype.$applyAttributes = function() {
	dtxFramework.XULWrapper.prototype.$applyAttributes.apply(this);	
	
	if (this.$domImage != null){
		var ImageValue = this.getAttribute("src");
		this.$domImage.setAttribute("src", this.framework.makeChromeURL(ImageValue));	}
};

dtxFramework.Image.prototype.setAttribute = function(attrid, value) {	
	dtxFramework.XULWrapper.prototype.setAttribute.apply(this, [attrid, value]);
	try {	
		if (attrid == "src" && value !=''){
			value = this.framework.makeChromeURL(value);
			if (this.$domImage != null && this.$domImage.getAttribute("src") != value)
				this.$domImage.setAttribute("src", value);
		}
	}catch(e){}
};
//$MOZILLA_END$//