//$MOZILLA_START$//

dtxFramework.Label = function(framework, id) {
    // inheritance
    dtxFramework.XULWrapper.apply(this, [framework, id]);
    
    this.tagName = "label";
    this.$ID_LABEL = "-label";   
    this.$domLabel = null;
    //additional attributes to localize
    this.$localeAttributes = this.$localeAttributes.concat(["value"]);
    
    this.$render = function() {
		var LabelBox = document.createElement("vbox");
		LabelBox.setAttribute("valign", "middle");
    	
		var label = document.createElement("label");
		label.setAttribute("id", this.$id + this.$ID_LABEL);
		
		LabelBox.appendChild(label);
		this.$domNode.appendChild(LabelBox);

    	if (this.$designMode) {
    		var vbox = document.createElement("vbox");
    		vbox.setAttribute("valign", "middle");
    		vbox.setAttribute("autostretch", "never");
    		var img = document.createElement("image");
    		img.setAttribute("src", this.framework.makeChromeURL("skin/lib/move.gif"));
    		img.setAttribute("flex", "0");
    		img.setAttribute("style", "margin-top: 3px;");
    		vbox.appendChild(img);
    		this.$domNode.appendChild(vbox);    
    	}
    };    
    
    
};

dtxFramework.inherits(dtxFramework.Label, dtxFramework.XULWrapper);

dtxFramework.Label.prototype.$applyStyle = function() {
    dtxFramework.XULWrapper.prototype.$applyStyle.apply(this);

    var href = this.getAttribute("href");
    if (href != null) {
        this.$domNode.setAttribute("class", "text-link");    
    }  
};

dtxFramework.Label.prototype.$createDOMNode = function() {
	return document.createElement("hbox");
};

dtxFramework.Label.prototype.$connectDOM = function() {
	this.$domLabel = this.$getNode(this.$id + this.$ID_LABEL);
};

dtxFramework.Label.prototype.$applyAttributes = function() {
	dtxFramework.XULWrapper.prototype.$applyAttributes.apply(this);	
	
	if (this.$domLabel != null){
		var TextValue = this.getAttribute("value");
		this.$domLabel.setAttribute("value", TextValue);
    	if (!this.$designMode){
        	var href  = this.getAttribute("href");
        	if(typeof href == "string" && href != ""){
        		this.$domLabel.setAttribute("href", href);
                this.$domLabel.setAttribute("class", "text-link");   
            }
    	}
	}
};

//$MOZILLA_END$//