
dtxFramework.PrefPane = function(framework, id) {

    // inheritance
	if (dtxFramework.MOZILLA) {
		//$MOZILLA_START$//
		dtxFramework.XULWrapper.apply(this, [framework, id]);
		//$MOZILLA_END$//
	}
	else if (dtxFramework.IE) {
		//$IE_START$//
		dtxFramework.VBoxElement.apply(this, [framework, id]);
		//$IE_END$//
	}

	var self = this;
    
    this.tagName = "prefpane";
    //additional attributes to localize
    this.$localeAttributes = this.$localeAttributes.concat(["label"]);
    this.$updateWhenChanged = false;

    this.getContentDocument = function() {
		return this.$domNode.contentDocument;
    };
    
};

//$MOZILLA_START$//
dtxFramework.inherits(dtxFramework.PrefPane, dtxFramework.XULWrapper);

dtxFramework.PrefPane.prototype.$createDOMNode = function() {
	return document.createElement("vbox");
};

//$MOZILLA_END$//


