//$MOZILLA_START$//

dtxFramework.Textbox = function(framework, id) {
    // inheritance
    dtxFramework.XULWrapper.apply(this, [framework, id]);
    
    this.tagName = "textbox";
    
    var self = this;   
    
	this.$onfocus = function(evt) {
		if (!this.$designMode)
			self.$fireEvent("focus", {target:self});
	}
};

dtxFramework.inherits(dtxFramework.Textbox, dtxFramework.XULWrapper);

dtxFramework.Textbox.prototype.select = function(attrid, value) {
	if (this.$domNode != null)
		this.$domNode.select();
};

dtxFramework.Textbox.prototype.getAttribute = function(attrid) {
	var inherited = dtxFramework.XULWrapper.prototype.getAttribute.apply(this, [attrid]);
	if (attrid == "value" && this.$domNode != null) {
        if (this.$domNode.mInputField != null)
            return this.$domNode.mInputField.value;
        else
            return this.$domNode.value;
    }
    else 
        return inherited;
};

dtxFramework.Textbox.prototype.setAttribute = function(attrid, value) {
    dtxFramework.XULWrapper.prototype.setAttribute.apply(this, [attrid, value]);
    if (attrid == "value") {
        if (this.$domNode != null) {
            this.$domNode.value = value;
        }
    }
};

dtxFramework.Textbox.prototype.$hookEvents = function() {
	dtxFramework.XULWrapper.prototype.$hookEvents.apply(this);
	
    if (this.$domNode != null) {
	    this.$domNode.removeEventListener("focus", this.$onfocus, false);
	    this.$domNode.addEventListener("focus", this.$onfocus, false);
	}
};

//$MOZILLA_END$//