if (typeof xfin_portal == "object") {
	/******** Declarations ********/
	
	xfin_portal.preferencesDialog = null;
	
	/******** End of Declarations ********/
	
	
	/******** Methods ********/

	xfin_portal.showPreferences = function(tabId) {
		try {
			if (xfin_portal.preferencesDialog == null) {
				//debugger;
				var toolbarId = xfin_portal.framework.mainContainer.getAttribute('id');
				var toolbarName = xfin_portal.framework.mainContainer.getAttribute('toolbarname');
				
				xfin_portal.preferencesDialog = xfin_portal.framework.createElement("prefwindow");
				xfin_portal.preferencesDialog.loadFromFile("content\\preferences.xml");
				
				xfin_portal.$instantiateAttribute(xfin_portal.preferencesDialog, 'id', '{toolbarId}', toolbarId);
				xfin_portal.$instantiateAttribute(xfin_portal.preferencesDialog, 'title', '{toolbarName}', toolbarName);
				
				//Prefpanes
				var child;
				
				for(var i = 0; i < xfin_portal.preferencesDialog.childNodes.length; i++) {
					child = xfin_portal.preferencesDialog.childNodes[i];
					
					if(child.tagName == 'prefpane')
						xfin_portal.$instantiatePrefPane(child);
				}
				
				xfin_portal.preferencesDialog.addEventListener("close", function(){
					xfin_portal.preferencesDialog = null;
				});
				if (typeof tabId == "string" && tabId != "") {
					xfin_portal.preferencesDialog.setAttribute("selected", tabId);
				}
				xfin_portal.framework.setTimeout(function(){
					xfin_portal.preferencesDialog.show(300, 200, xfin_portal.prefDialogWidth-20, xfin_portal.prefDialogHeight);
				}, 100);
			}
			else {
				if (typeof tabId == "string" && tabId != "") {
					xfin_portal.preferencesDialog.selectTabById(tabId);
				}
				xfin_portal.preferencesDialog.focus();
			}
		}catch(e){alert(e.description)}
	};
	
	xfin_portal.$instantiatePrefPane = function(paneNode) {
		var toolbarId = xfin_portal.framework.mainContainer.getAttribute('id');
		
		xfin_portal.$instantiateAttribute(paneNode, 'id', '{toolbarId}', toolbarId);
		xfin_portal.$instantiateAttribute(paneNode, 'for', '{toolbarId}', toolbarId);
		xfin_portal.$instantiateAttribute(paneNode, 'image', '{toolbarId}', toolbarId);
	};
	
	xfin_portal.$instantiateAttribute = function(element, attrName, placeHolder, value) {
		var attrValue = element.getAttribute(attrName);
		attrValue = attrValue.replace(placeHolder, value);
		
		if(attrName == 'image') {
			attrValue = xfin_portal.framework.makeChromeURL(attrValue);
		}
		
		element.setAttribute(attrName, attrValue);
	};
	
	xfin_portal.closePreferences = function() {
		if (xfin_portal.preferencesDialog != null) {
			xfin_portal.preferencesDialog.hide();
			xfin_portal.preferencesDialog = null;
		}
	};
	/******** End of methods ********/
}