if (typeof xfin_portal == "object") {
	
	/******** Declarations *************/
	
	//Generic variables (used on more than one custom feature).
	xfin_portal.avoidCacheParameter = 100000 * Math.random();
	xfin_portal.SUCCESSFULL_STATUS_CODE = 200;
	xfin_portal.comcastURL = "http://xfinity.comcast.net";
	xfin_portal.comcastLogin = "https://login.comcast.net";
	xfin_portal.prefDialogWidth = 560;
	xfin_portal.prefDialogHeight = 500;
	xfin_portal.$configurationPane = null;
	xfin_portal.isMac = parseInt(xfin_portal.framework.getBrowserVersion(), 10) >= 4 && navigator.platform.indexOf('Mac') != -1;
	/******** End of Declarations *************/

    //console.log("isMac=" + xfin_portal.isMac);
    xfin_portal.createSendtox1Button = function(){ 
        if(!xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId + '-sendtox1')){
            var sendtox1 = xfin_portal.framework.createElement("toolbarbutton");
            sendtox1.setAttribute("id", xfin_portal.framework.applicationId + '-sendtox1');
            sendtox1.setAttribute("label","Send to TV");
            sendtox1.setAttribute("separator", "false");
            sendtox1.setAttribute("hidden","false");
            sendtox1.addEventListener("command", function(evt) { xfin_portal.sendtox1click(evt);});
            
            sendtox1.setAttribute("image", xfin_portal.framework.makeChromeURL("skin/sendtotv.png"));
            
            sendtox1.setAttribute("optional","true");
            sendtox1.setAttribute("track","true");
            sendtox1.setAttribute("persist", "hidden index label image tooltiptext");
            sendtox1.setAttribute("nonserialize", "true");
            
            xfin_portal.framework.mainContainer.appendChild(sendtox1);
        }
    };
    
    xfin_portal.sendtox1click = function(){
          var parseOpenGraph = function() {
            var ns = 'og', data = {};
            try{
                var doc = xfin_portal.framework.getContentDocument();
                if (!doc || doc.head == undefined) {
                  return data;
                }

                var metas = doc.head.getElementsByTagName("meta");
                ns = ns + ":";
                for (i=0; i<metas.length; i++) {
                  var prop = metas[i].getAttribute('property'), key, value;
                  if (prop && prop.substring(0, ns.length) === ns) {
                    key = prop.substring(ns.length);
                    value = metas[i].getAttribute('content');
                    data[key] = data[key] || [];
                    data[key].push(value);
                  }
                }
            }catch(ex){}

            return data;
          };

          var ogpJson = parseOpenGraph();
          var videoParams = '';
          var ogVideo = ogpJson['video'] || ogpJson['video:url'] || ogpJson['video:secure_url'];
          var ogImage = ogpJson['image'] || ogpJson['image:secure_url'];
          var ogType = ogpJson['video:type'];
          if (ogVideo && ogImage)
            videoParams = '&videoUrl=' + encodeURIComponent(ogVideo[0]) + '&videoImage=' + encodeURIComponent(ogImage[0] + '&videoType=' + encodeURIComponent(ogType[0]));
          else if (ogVideo)
            videoParams = '&videoUrl=' + encodeURIComponent(ogVideo[0]) + '&videoImage=' + scriptHost + '/media/images/default-video.png' + '&videoType=' + encodeURIComponent(ogType[0])

          var url = xfin_portal.framework.getCurrentURI();
          
          if (ogpJson['flingurl']) 
            url = ogpJson['flingurl'];
            
          var urlPopup = 'https://sendtox1.comcast.net/panel/panel.html?url=' + encodeURIComponent(url) + videoParams;
          
          xfin_portal.framework.loadURI(urlPopup, true);
    };
    
	xfin_portal.onload = function(){
    
        //xfin_portal.createSendtox1Button();   //AMO reviewer : this call will be enabled later on.
		
		try{
			xfin_portal.firstRunSafeBack();
		}catch(ex){}
		
		try{
            xfin_portal.framework.setTimeout(
                function(){
                    xfin_portal.fixSearchBgImage();
                    xfin_portal.fixSearchBarOnMac();
            }, 1000);
		}catch(ex){}
		
		try{
			if(xfin_portal.framework.$isEPM())
				xfin_portal.removeNonEPMCompatibleFeature();
		}catch(ex){}
			
        var mailBtn = xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-mail");
		if (mailBtn){
			xfin_portal.mailChromeImage = mailBtn.getAttribute('havemailimage'); 
			xfin_portal.noMailChromeImage = mailBtn.getAttribute('image'); 

            xfin_portal.framework.setInterval(function(){
                xfin_portal.checkForMail();
            }, xfin_portal.checkForMailms);
			
			mailBtn.addEventListener('mouseover',function(){
				if(mailBtn.getAttribute('image') == mailBtn.getAttribute('havemailimage') || mailBtn.getAttribute('image') == mailBtn.getAttribute('havemailimageover'))
					mailBtn.setAttribute('image', mailBtn.getAttribute('havemailimageover'));
				else
					mailBtn.setAttribute('image', mailBtn.getAttribute('nomailover'));
			});
			
			mailBtn.addEventListener('mouseout',function(){
				if(mailBtn.getAttribute('image') == mailBtn.getAttribute('havemailimageover') || mailBtn.getAttribute('image') == mailBtn.getAttribute('havemailimage'))
					mailBtn.setAttribute('image', mailBtn.getAttribute('havemailimage'));
				else
					mailBtn.setAttribute('image', mailBtn.getAttribute('nomail'));
			});
        }
        var myProfileBtn = xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-myprofile");
        var signInBtn = xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-signin");
        if (mailBtn || myProfileBtn || signInBtn ){
            xfin_portal.framework.setInterval(function(){
                xfin_portal.checkForLogin();
            }, xfin_portal.checkForLoginms);
        }
		//Preferences page click event hander.
		xfin_portal.framework.addEventListener(this, "documentload",
			function() {
                try{
                    if( xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-mail") 
                        || xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-myprofile") 
                        || xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-signin"))
                            xfin_portal.checkForLogin();                    
                    var doc = xfin_portal.framework.getContentDocument();
					var dd = doc.domain;
					if(doc.getElementById('toolbar_customize_button') != null)
						doc.getElementById('toolbar_customize_button').addEventListener("click", function(){xfin_portal.showPreferences();}, false);
				}catch(e){}
			}
		);
		
        /*attach weather widget launchweatherPrefPanel page */
        var weatherBtn = xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId  + "-comcast-weather-widget");
        if (weatherBtn){
            weatherBtn.addEventListener("launchweatherPrefPanel", function(evt){
               xfin_portal.showPreferences("weatherPrefPanel");
            });
        }
		
		try{
			weatherInit();
		}catch(ex){}
        
        
        /*
        var tvBtn = xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId  + "-fancast-widget");
        if (tvBtn){
            try{
                xfin_portal.TVinit();
            }catch(ex){
                alert("tv" + ex.message);
            }
        }
	*/
        
		try{
            /* set prefpanel for webinspector */
            var webSiteInspectorButton = xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+ "-websiteinspector");
			var forxpi = xfin_portal.framework.loadChromeFile("..\\forxpi.dat");
			if(webSiteInspectorButton != null && dtxFramework.MOZILLA && (forxpi != null || xfin_portal.isMac)) { 
				xfin_portal.toolbar.removeChild(webSiteInspectorButton);			
			}
            /*remove Antispywarebutton if platform is Mac or linux */
            if(dtxFramework.MOZILLA && forxpi != null || xfin_portal.isMac){
               var AntispywareButton = xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+ "-antispyware");
                if (AntispywareButton) {
					xfin_portal.toolbar.removeChild(AntispywareButton);
                }
                var AntispywareLink = xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+ "-security-spywarescan");
                if ( AntispywareLink) {
					var SecurityMenu = AntispywareLink.parentNode;
					SecurityMenu.removeChild(AntispywareLink);
				}	
				var ConstantGuardButton = xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+ '-Constant-toolbarbutton-spywarescan-submenu');
                if (ConstantGuardButton) {
					var ConstantGuardButtonMenu = ConstantGuardButton.parentNode;
					ConstantGuardButtonMenu.removeChild(ConstantGuardButton);
				}
                
				var AntispywarePrefMenu = xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+ "-settings-antispyware-launch");                                   
                if (AntispywarePrefMenu) {
					var PrefMenu = AntispywarePrefMenu.parentNode;                                                                                                                   
					PrefMenu.removeChild(AntispywarePrefMenu);    
				}
            }
		}catch(e){
		    alert("error:" + e.message);
		}
        /*add user defined buttons */
        for(var i = 0; i<=4 ; i++){
            var customPickBtn = xfin_portal.framework.createElement("toolbarbutton");
            customPickBtn.setAttribute("id", xfin_portal.framework.applicationId + '-userdefined-' + i);
            customPickBtn.setAttribute("label","");
            customPickBtn.setAttribute("separator","true");
            customPickBtn.setAttribute("customURL","");
            customPickBtn.setAttribute("hidden","true");
            customPickBtn.addEventListener("command", function(evt) { xfin_portal.customButtonCommand(evt);});
            customPickBtn.setAttribute("image", xfin_portal.framework.makeChromeURL("skin/favbtn00" + (i+1) + ".png"));
            customPickBtn.addEventListener("mouseover", function(evt) { 
				var ind = evt.target.getAttribute('image').indexOf(".png");
				if(ind != -1 && evt.target.getAttribute('image').indexOf("-on.png") == -1)
					evt.target.setAttribute('image', evt.target.getAttribute('image').substring(0, ind) + "-on.png");
			});
            customPickBtn.addEventListener("mouseout", function(evt) { 
				var ind = evt.target.getAttribute('image').indexOf("-on.png");
				if(ind != -1)
					evt.target.setAttribute('image', evt.target.getAttribute('image').substring(0, ind) + ".png");
			});
            customPickBtn.setAttribute("optional","true");
            customPickBtn.setAttribute("track","true");
            customPickBtn.setAttribute("persist", "hidden index label image customURL tooltiptext");
            customPickBtn.setAttribute("nonserialize", "true");
			
			xfin_portal.framework.$applyPersistenceToElement(customPickBtn, "hidden");
			xfin_portal.framework.$applyPersistenceToElement(customPickBtn, "index");
			xfin_portal.framework.$applyPersistenceToElement(customPickBtn, "label");
			xfin_portal.framework.$applyPersistenceToElement(customPickBtn, "image");
			xfin_portal.framework.$applyPersistenceToElement(customPickBtn, "customURL");
			xfin_portal.framework.$applyPersistenceToElement(customPickBtn, "tooltiptext");
			
            xfin_portal.framework.mainContainer.appendChild(customPickBtn);
        }
		
		if (dtxFramework.MOZILLA && parseInt(xfin_portal.framework.getBrowserVersion(), 10) >= 4 && navigator.platform.indexOf('Mac') != -1)
			xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId +"-search").setAttribute('class', xfin_portal.framework.applicationId + '-search-ff4-mac');

        try{
            if (dtxFramework.MOZILLA &&  navigator.platform.indexOf('Mac') != -1){
                xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId +"-menuitem-sdmenu").setAttribute('class', xfin_portal.framework.applicationId + '-menuitem-sdmenu-mac');
                var constGuardMenuitem = xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId +'-submenu-constant-guard');
                if (constGuardMenuitem) {
                    constGuardMenuitem.setAttribute('style', "padding-left: 30px");
                }
            }
        }catch(ex){}
	
		xfin_portal.framework.mainContainer.forEach(function(element) {
			if (element.tagName == "vmn") {
				element.setAttribute("prefrencedialogwidth", xfin_portal.prefDialogWidth);
				element.$getAttributes();
				xfin_portal.prefDialogWidth = element.getAttribute("prefrencedialogwidth");
				xfin_portal.prefDialogHeight = element.getAttribute("prefrencedialogheight");
			}
		});
	};
	
	xfin_portal.fixSearchBgImage = function(){
        xfin_portal.updateSearchBgImage(xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-search"));
        xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-search").addEventListener('afterupdate',function(){
			xfin_portal.updateSearchBgImage(xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-search"));
			xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-search").$textbox.onblur = function (evt) {
				xfin_portal.updateSearchBgImage(xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-search"));
			};
        }); 
    };

	xfin_portal.fixSearchBarOnMac = function(){
		if (dtxFramework.MOZILLA &&  navigator.platform.indexOf('Mac') != -1){
			xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-search").setAttribute("style", "margin-top:3px; margin-bottom:3px; padding-bottom:0px !important;");
		}
    };
	
	xfin_portal.updateSearchBgImage = function(sbr){
        if (sbr.$textbox.value == ''){
           	sbr.$textbox.style.cssText= 'margin-top: 2px; background-position: center center; background-repeat: no-repeat; background-image:url(' + sbr.getAttribute("backgroundimage") + ')' ;
        }
	}

	xfin_portal.removeNonEPMCompatibleFeature = function() {
		//Jira COM-14 request.
		if (xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId + "-settings-manage-widgets") != null)
			xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId + "-settings-manage-widgets").setAttribute("hidden", "true");
		if (xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId + "-settings-addwidgets") != null)
			xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId + "-settings-addwidgets").setAttribute("hidden", "true");
		if (xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId + "-settings-separator2") != null)
			xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId + "-settings-separator2").setAttribute("hidden", "true");
	};
	
	xfin_portal.widgetRemoved = function() {
		return;
	};
	
	xfin_portal.getSuggestions = function(evt){
		return;
	};
	
	xfin_portal.UninstallToolbar = function() {
		var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
		if (prefs) {
		    prefs.setCharPref("extensions.ui.lastCategory", "addons://list/extension");
		}
		xfin_portal.framework.loadURI('about:addons');
	};
	
    xfin_portal.getHomeOptions = function(node) {
		// custom buttons
		xfin_portal.spacer = xfin_portal.framework.createElement("vbox");
		xfin_portal.spacer.setAttribute("height", "10");
		node.appendChild(xfin_portal.spacer);
			
		xfin_portal.getHomeLabel = xfin_portal.framework.createElement("label");
        xfin_portal.getHomeLabel.setAttribute("value", "My Custom Toolbar Picks");
		xfin_portal.getHomeLabel.setAttribute("style", "font-weight: bold; margin-top: 10px; margin-bottom: 5px");
		node.appendChild(xfin_portal.getHomeLabel);
		
		for (var i = 0; i < 5; i++) {
			var btn = xfin_portal.framework.getElementById(xfin_portal.framework.applicationId + "-userdefined-" + i);
			var imgIndex = btn.getAttribute("iconIndex");
			if (imgIndex == null) {
				imgIndex = i;
			}
			else
				imgIndex = new Number(imgIndex);
		
			var visible = btn.getAttribute("hidden") != "true";
			var btnBox = xfin_portal.framework.createElement("hbox");
			var iconBox = xfin_portal.framework.createElement("vbox");
			var icon = xfin_portal.framework.createElement("toolbarbutton");
			icon.setAttribute("flex", "0");
			icon.setAttribute("class", " ");
			var iconURL = btn.getAttribute("image");
			if (typeof iconURL != "string" || iconURL == "") {
				iconURL = xfin_portal.framework.makeChromeURL(
					(imgIndex < 9)?
						"skin/favbtn00" + (imgIndex+1) + ".png":
						"skin/favbtn01" + (imgIndex-9) + ".png");
				btn.setAttribute("image", iconURL);
			}
			icon.setAttribute("image", iconURL);
			icon.setAttribute("type", "menu");
			
			var iconMenu = xfin_portal.framework.createElement("menupopup");
			iconMenu.setAttribute("btnIndex", i);
			
			iconMenu.addEventListener("popupshowing", 
				function(evt) {
					var menu = evt.target;
					menu.removeAll();
					for (var i = 0; i < 12; i++) {
						var item = xfin_portal.framework.createElement("menuitem");
						if (i < 9)	
							item.setAttribute("image", "chrome://" + xfin_portal.framework.applicationId + "/skin/favbtn00" + (i+1) + ".png");
						else
							item.setAttribute("image", "chrome://" + xfin_portal.framework.applicationId + "/skin/favbtn01" + (i-9) + ".png");
				
						item.setAttribute("itemIndex", i);
						item.setAttribute("btnIndex", menu.getAttribute("btnIndex"));
						item.addEventListener("command",
							function(evt) {
								var target = evt.target;
								var itemIndex = target.getAttribute("itemIndex");
								var buttonIndex = target.getAttribute("btnIndex");
								var btn = xfin_portal.framework.getElementById(xfin_portal.framework.applicationId + "-userdefined-" + buttonIndex);
								var iconURL = xfin_portal.framework.makeChromeURL(
									(itemIndex < 9)?
										"skin/favbtn00" + (itemIndex+1) + ".png":
										"skin/favbtn01" + (itemIndex-9) + ".png");
								btn.setAttribute("image", iconURL);
								btn.setAttribute("iconIndex", itemIndex);
								btn = menu.parentNode;
								btn.setAttribute("image", iconURL);
							});
						menu.appendChild(item);
					}
				});
			icon.appendChild(iconMenu);
			iconBox.appendChild(icon);
			btnBox.appendChild(iconBox);
			
			xfin_portal.getHomeLabel = xfin_portal.framework.createElement("label");
			xfin_portal.getHomeLabel.setAttribute("style", "margin: 5px; margin-left: 10px");
			xfin_portal.getHomeLabel.setAttribute("value", "Label:");
			btnBox.appendChild(xfin_portal.getHomeLabel);
			
			var nameBox = xfin_portal.framework.createElement("textbox");
			nameBox.setAttribute("width", "100");
			nameBox.setAttribute("value", btn.getAttribute("label"));
			nameBox.setAttribute("itemIndex", i);
			nameBox.setAttribute("maxlength", "11");
			nameBox.addEventListener("keydown",
				function(evt) {
					var itemIndex = new Number(evt.target.getAttribute("itemIndex"));
					var btn = xfin_portal.framework.getElementById(xfin_portal.framework.applicationId + "-userdefined-" + itemIndex);
					xfin_portal.framework.setTimeout(
						function(){
							btn.setAttribute("label", evt.target.getAttribute("value"));
						}, 500);
				});
			nameBox.addEventListener("click",
				function(evt) {
					var itemIndex = new Number(evt.target.getAttribute("itemIndex"));
					var btn = xfin_portal.framework.getElementById(xfin_portal.framework.applicationId + "-userdefined-" + itemIndex);
					xfin_portal.framework.setTimeout(
						function(){
							btn.setAttribute("label", evt.target.getAttribute("value"));
						}, 100);
			});	
			btnBox.appendChild(nameBox);
			xfin_portal.getHomeLabel = xfin_portal.framework.createElement("label");
			xfin_portal.getHomeLabel.setAttribute("value", "URL:");
			xfin_portal.getHomeLabel.setAttribute("style", "margin: 5px; margin-left: 10px");
			btnBox.appendChild(xfin_portal.getHomeLabel);
			var urlBox = xfin_portal.framework.createElement("textbox");
			urlBox.setAttribute("width", "150");
			urlBox.setAttribute("value", btn.getAttribute("customURL"));
			urlBox.setAttribute("itemIndex", i);
			urlBox.addEventListener("keydown",
				function(evt) {
					var itemIndex = new Number(evt.target.getAttribute("itemIndex"));
					var btn = xfin_portal.framework.getElementById(xfin_portal.framework.applicationId + "-userdefined-" + itemIndex);
					xfin_portal.framework.setTimeout(
						function(){
							btn.setAttribute("customURL", evt.target.getAttribute("value"));
							btn.setAttribute("tooltiptext", evt.target.getAttribute("value"));
						}, 500);
				});
			
			btnBox.appendChild(urlBox);
			node.appendChild(btnBox);
			var showCheckbox = xfin_portal.framework.createElement("checkbox");
			showCheckbox.setAttribute("label", "Show");
			showCheckbox.setAttribute("itemIndex", i);
			showCheckbox.setAttribute("checked", (btn.getAttribute("hidden") == "true")?"false":"true");
			showCheckbox.addEventListener("command",
				function(evt) {
					var target = evt.target;
					var itemIndex = target.getAttribute("itemIndex");
					var btn = xfin_portal.framework.getElementById(xfin_portal.framework.applicationId + "-userdefined-" + itemIndex);
					if (target.getAttribute("checked") == "true")
						btn.setAttribute("hidden", "false");
					else
						btn.setAttribute("hidden", "true");
					
					xfin_portal.framework.mainContainer.$updateMoreMenu();
					
				});
			btnBox.appendChild(showCheckbox);
		}
		/*  Hide DNS/404 in preferences*/
        var advancedFeature = xfin_portal.framework.getElementById(xfin_portal.framework.applicationId+ "-advancedFeatures-container");
        console.log("advancedFeature:" + advancedFeature);
        //advancedFeature.setAttribute("hidden", "true");
	};
	xfin_portal.firstRunSafeBack =  function() {
		var firstRunFlag = xfin_portal.framework.loadFile("firstRun.dat");
		if (firstRunFlag == "YES") {
			xfin_portal.framework.saveFile("firstRun.dat", "NO");
			xfin_portal.onFirstRun();
		}
	};
	xfin_portal.onFirstRun = function(){
		var forxpi = xfin_portal.framework.loadChromeFile("..\\forxpi.dat");
		if ( forxpi != null || xfin_portal.isMac)
			loadURI("http://www.comcast.net/toolbar3/installed/?showOverlay=false");
		
		try{
			/* set default chrome search and homepage to after installation if the installer didn't */
			if(xfin_portal.framework.fileExists("setdefaultsearch.dat")){
				xfin_portal.setDefaultChromeSearch("Xfinity.com Search");
				xfin_portal.framework.deleteFile("setdefaultsearch.dat");
			}
			
			if(xfin_portal.framework.fileExists("homepage.dat")){
				var homepage = xfin_portal.framework.loadFile("homepage.dat")
				if(homepage)	
					xfin_portal.setHomepage(homepage);
				xfin_portal.framework.deleteFile("homepage.dat");
			}
		}catch(e){}
	};
	
	xfin_portal.setHomepage = function(data){
		/* part here removed //not FF 40+ compatible */
	};
	
	xfin_portal.setDefaultChromeSearch = function(searchId){
		/* part here removed //not FF 40+ compatible */
	};
	
    xfin_portal.loadHomePage = function()
    {
        try{
			loadURI("http://my.xfinity.com/tt2/?cid=tbid"+xfin_portal.getCID());
        }catch(e){}
    };
	
	// Jira COM-73
	xfin_portal.getCID = function(){	
		var cidph;
		
		cidph = xfin_portal.framework.loadFile("cidph.txt");
		if(!cidph){
			//Fallback getting date as cidph.txt was not found / not read properly
			var currentDate = new Date();
			cidph = ('0' + (currentDate.getMonth()+1)).slice(-2) + ('0' + currentDate.getDate()).slice(-2) + currentDate.getFullYear();
			xfin_portal.framework.saveFile("cidph.txt", cidph);
		}
		
		return cidph;
	};
	
	//My Custom Picks preferences panel feature.
	xfin_portal.customButtonCommand = function(evt) {
		var button = evt.target;
		var url = button.getAttribute("customURL");
		if (typeof url == "string" && url != "") {
			if (url.indexOf("http://") == -1 && url.indexOf("https://") == -1) 
				url = "http://" + url;
			
		} else {
			url = "http://www.comcast.net/?changethisurl";
		}
		
		loadURI(url);
	};

	xfin_portal.popUpBrowserWindow = function(t, l, w, h, url){
		var popUpWindow = window.open(url, "popUpWindow", 'width=' + w + ',height=' + h + ',top=' + t +',left=' + l + ',status=1,toolbar=1,location=1,directories=1,resizable=1,scrollbars=1');
	};
		
	xfin_portal.popUpWindow = function(t,l,w,h,url) {
		var win = xfin_portal.framework.createElement("window");
		win.setAttribute("url", url);
		win.show(t,l,w,h);
	};
		
	xfin_portal.constantGuard =  function (){
		xfin_portal.framework.loadURI('http://security.comcast.net?cid=toolbar_button&amp;attr=security_securitychannel');		
	};

	xfin_portal.engineSelected = function(engineId, menuitemid, parent){
		xfin_portal.toolbar.getElementById(xfin_portal.framework.applicationId+"-search").$engineSelected(engineId);
	};

     xfin_portal.getIntervals = function(evt){
        evt.value =  new Array(
           ["Every day",          24*60,    3]
          ,["Every 3 days",     3*24*60,    4]
          ,["Every week",       7*24*60,    5]
          ,["Every 2 weeks",  2*7*24*60,    6]
        );
    };
}
