try{
	//Fix Bug 17989 - The toolbar is not showing on Mozilla Firefox Nightly build 38.0a1 (2015-02-09)
    
	if (window.external != undefined && 
	    window.external != null &&
	    typeof window.external.DTFramework != "undefined")
    {
	    var DTFramework = window.external.DTFramework;
    }
}catch(e){}

dtxFramework = {

	MOZILLA: (typeof DTFramework == "undefined"),
	IE: (typeof DTFramework != "undefined"),
	FF2: false,

	lastId: 0,
	
	Instance: function(version, classes) {
		// only version 1.0.0 is supported

		if (version == "1.0.0")	
			return new dtxFramework.DTXFrameworkV100(classes);
		else
			return null;
	},
	
	inherits: function(child, parent) {
		for (var member in parent.prototype) {
			if (typeof child.prototype[member] == "undefined")
				child.prototype[member] = parent.prototype[member];
		}
	},
	
	downloadComplete: function(url) {
	}
};

if (dtxFramework.MOZILLA) {
	var info = Components.classes["@mozilla.org/xre/app-info;1"]
						 .getService(Components.interfaces.nsIXULAppInfo);
	dtxFramework.FF2 = new String(info.version).charAt(0) == "2";
}
