var EXPORTED_SYMBOLS = [ "Sunset" ];
var Position = function (domOrX, Y) {
	this.X = domOrX;
	this.Y = Y;
	if(domOrX.top) { //.left is likely to be 0 for homebuttons, so would return false.
		this.X = domOrX.left;
		this.Y = domOrX.top;
	}
	if(domOrX.screenX !== undefined) {
		this.X = domOrX.screenX;
		this.Y = domOrX.screenY;
	}
	this.add = function (other) {
		this.X += other.X;
		this.Y += other.Y;
		return this;
	};
};
var Sunset = function (namespace) {
	this.framework = namespace.framework;
	this.namespace = namespace;
	var self = this;

	this.display = function (deadline) {
		var dialogHeight = 210;
		var dialogWidth  = 560;
		var sunsetDialog = this.framework.createElement("window");
		sunsetDialog.loadFromFile("content\\sunset.xml");
		sunsetDialog.setAttribute('width',dialogWidth); 
		sunsetDialog.setAttribute('noframe', 'true');
		sunsetDialog.setAttribute('dialog', 'false');
		sunsetDialog.setAttribute('autohide', 'false');
		sunsetDialog.setAttribute('dependent', 'true');
		sunsetDialog.setAttribute('doresize', 'false');
		sunsetDialog.setAttribute('keycolor', '#EFFBFB');
		sunsetDialog.setAttribute('transparent', 'true');

		var btnFinish = sunsetDialog.getElementById("btnFinish");

		btnFinish.addEventListener("click", function(evt){
			sunsetDialog.close();
			sunsetDialog = null;
		});

		sunsetDialog.setAttribute('height', dialogHeight);
		if (deadline)
		{
			sunsetDialog.setAttribute("style" , "background-image:url('../../skin/sunset/panel-xfinitytoolbar-uninstall.png');background-repeat:no-repeat;");
			sunsetDialog.getElementById("link_Uninstall").setAttribute("hidden", "false");
			sunsetDialog.getElementById("link_Uninstall").addEventListener("click", function () {
								self.namespace.framework.loadURI('about:addons');
								loadURI('about:addons');
								sunsetDialog.close();
								sunsetDialog = null;
							});

		}
		var homeButton = self.namespace.toolbar.getElementById(self.namespace.framework.applicationId + "-home");
		if(homeButton != null){
			p = new Position(homeButton.$domNode.getBoundingClientRect());
		}
		
		var contentWindow = this.framework.getContentWindow();
		if (contentWindow)
		{
			offsetWidth = (contentWindow.outerWidth - dialogWidth)/ 2;
			offsetHeight = contentWindow.outerHeight - dialogHeight - p.Y  ;
			sunsetDialog.showRelative(homeButton, offsetWidth, offsetHeight);
			sunsetDialog.focus();
		}

	};
};