if (typeof xfin_portal == "object") {
	var framework =  xfin_portal.framework;
    var windowsService = Components.classes['@mozilla.org/appshell/window-mediator;1'].getService(Components.interfaces.nsIWindowMediator);
    var currentWindow = windowsService.getMostRecentWindow('navigator:browser');
    var browser = currentWindow.getBrowser();
    var manifest_id = "net.vmn.www.Comcast.Coupons";
    
    function getExternalManifestValue(id) {
    //	    var node = external.getElementsByTagName(id);
    //	    if (node && node.length > 0){
    //		    return node[0].firstChild.nodeValue;
    //	    }
	    return "";
    }
    
    var coupons = new function(){
 	    var self = this;
	    /* Constatnts */
	    this.COUPONS_SITE_URL = "http://coupons.xfinity.com/";
	    this.COUPON_URL = "http://xfinity.comcast.net/service/coupon/";
	    this.MERCHANTS_URL = "http://xfinity.comcast.net/service/coupon/";
	    if(this.COUPON_URL.indexOf(".qa.") != -1 || this.MERCHANTS_URL.indexOf(".qa.") != -1)
		    alert("The Xfinity Coupons App used QA urls.; this build should NOT go into production!!!");
	    this.TRACKING_ID = getExternalManifestValue("aid");
	    this.MERCHANTS_LIST = "coupons\\merchants.xml";
	    this.MERCHANTS_TTL  = 24 * 60 * 60 * 1000; //24 hours
	    this.REDEEM_TIMEOUT = 30 * 1000; // 30 seconds before considering that the reddem didn't succeed.
	    this.PANEL_TIMEOUT = 10 * 1000; // Display the panel for 15 seconds
    	
	    this.$merchantsList = {};
	    this.$currentMerchant = null;
	    this.$currentCoupon   = null;
	    this.$redeemInProcess = false;
	    this.$redeemTimeoutId = null
	    this.$panelTimeoutId = null
	    this.$couponButton = null;
    	
	    this.isV3andUp = framework.compareFrameworkVersion(framework.getVersion(),'1.0.3') >= 0;
	    this.isV2andUp = framework.compareFrameworkVersion(framework.getVersion(),'1.0.2') >= 0;
	    this.$init = function(){
	        //console.log("coupons.$init");
		    this.appTitle = "Coupons & Deals";
		    this.appPath = framework.makeChromeURL('content/widgets/' + manifest_id+'/');
			this.$initAppButton();
			this.$loadMerchantsList();
			framework.addEventListener(self, "documentload", self.$onDocumentLoad);
			
						// Handle coupons data when user changes tabs
			// Every tab holds its own coupon/merchant data
			if(dtxFramework.MOZILLA){
				gBrowser.tabContainer.addEventListener("TabSelect", function(){
						oGSObj.onTabSelect();
						var tabBrowser = gBrowser.selectedBrowser;
						if(self.$panel){
							self.hidePanel();
						}
						
						self.$currentMerchant = tabBrowser.$currentMerchant;
						self.$currentCoupon = tabBrowser.$currentCoupon;
						self.refreshCouponButton();
				}, false);
                framework.setTimeout(function(){
                        self.$updateMerchantsList();
                },500);
            }
	    };
	    
	    this.$initAppButton = function(){
	        //console.log("coupons.$initAppButton");
            if(framework.mainContainer.getElementById(framework.applicationId + '-comcast-coupons-app-button') != null) {
                this.$couponButton = framework.getElementById(framework.applicationId + '-comcast-coupons-app-button');
            } else {
                this.$couponButton = framework.createElement("toolbarbutton");
                this.$couponButton.setAttribute("id", framework.applicationId + '-comcast-coupons-app-button');
                this.$couponButton.setAttribute("label","Coupons");
                this.$couponButton.setAttribute("title",this.appTitle);
                this.$couponButton.setAttribute("tooltiptext",this.appTitle);
                this.$couponButton.setAttribute("type","menu-button");
                this.$couponButton.setAttribute("optional","true");
                this.$couponButton.setAttribute("separator","true");
                this.$couponButton.setAttribute("track","true");
                var imagePath= framework.makeChromeURL('content/widgets/' + manifest.getAttribute("id") + '/ico-dollar.png');
                this.$couponButton.setAttribute("image", imagePath);
                this.$couponButton.setAttribute("defaultimage", imagePath);
                this.$couponButton.setAttribute("alertDisabled", "false");
                this.$couponButton.setAttribute("persist", "hidden index alertDisabled");
                this.$couponButton.setAttribute("imageheight",  "23");
                this.$couponButton.setAttribute("imagewidth",   "23");
                
                var menu = framework.createElement("menupopup");
                menu.setAttribute("id", framework.applicationId + '-coupons-app-menu');
                this.$couponButton.appendChild(menu);
			    var item;
			    //COM-33 
			    /*
                item = framework.createElement("menuitem");
                item.setAttribute("id", framework.applicationId + '-coupons-app-menu-showpanel');
                item.setAttribute("track","true");
                item.setAttribute("label", "Show Me");
                menu.appendChild(item);
                
                menu.appendChild(framework.createElement("menuseparator"));
                */
                item = framework.createElement("menuitem");
                item.setAttribute("id", framework.applicationId + '-coupons-app-menu-getmorecoupons');
                item.setAttribute("track","true");
                item.setAttribute("label", "See All Coupons");
                menu.appendChild(item);
                        
                menu.appendChild(framework.createElement("menuseparator"));
                
			    //COM-33
			    /*
                item = framework.createElement("menuitem");  
                item.setAttribute("id", framework.applicationId +"-coupons-app-menu-FAQs");
                item.setAttribute("label", "FAQs");
                item.setAttribute("track", "true");
                menu.appendChild(item);
                
                menu.appendChild(framework.createElement("menuseparator"));
                */
    			
                item = framework.createElement("menuitem");  
                item.setAttribute("id", framework.applicationId  +"-coupons-app-menu-Help-Feedback");
                item.setAttribute("label", "Help / Feedback");
                item.setAttribute("track", "true");
                menu.appendChild(item);
                
                menu.appendChild(framework.createElement("menuseparator"));
                
                item = framework.createElement("menuitem");
                item.setAttribute("id", framework.applicationId + '-coupons-app-menu-disable-alert');
                item.setAttribute("label", "Disable Coupon Alert");
                item.setAttribute("track","true");
                item.setAttribute("checked", this.$couponButton.getAttribute('alertDisabled')=='true'?'true':'false');
                
                menu.appendChild(item);
                framework.mainContainer.appendChild(this.$couponButton);
            }
	        
	        this.$couponButton.addEventListener('command',function(){
			    //COM-33
			    self.displayPanel();
		    });

            this.$couponButton.addEventListener('mouseover',function(){
			    self.$couponButton.setAttribute('image', self.appPath+"ico-"+(self.$currentCoupon ? "coupon" : "dollar")+"-on.png");
		    });
    		
            this.$couponButton.addEventListener('mouseout',function(){
			    self.$couponButton.setAttribute('image', self.appPath+"ico-"+(self.$currentCoupon ? "coupon" : "dollar")+".png");
		    });

            var menu = framework.mainContainer.getElementById( framework.applicationId + '-coupons-app-menu');
            if(menu){
                menu.addEventListener('popupshowing', function(event){
                    var item = event.target.getElementById(framework.applicationId + '-coupons-app-menu-disable-alert');
                    item.setAttribute("checked", self.$couponButton.getAttribute('alertDisabled'));
                });
            }
            var item = framework.mainContainer.getElementById(framework.applicationId + '-coupons-app-menu-showpanel');
            if(item){
                item.addEventListener('command',function(){
                    self.displayPanel();
                });
            }
            
            item = framework.mainContainer.getElementById(framework.applicationId + '-coupons-app-menu-getmorecoupons');
            if(item){
                item.addEventListener('command',function(){
                    framework.loadURI(self.COUPONS_SITE_URL);
                });        
            }
            
            item = framework.mainContainer.getElementById(framework.applicationId +"-coupons-app-menu-FAQs");
            if(item){
                item.addEventListener("command", function() {
                    loadURI('http://www.couponwinner.com/all-about-coupons.aspx');
                });
            }
            
            item = framework.mainContainer.getElementById(framework.applicationId +"-coupons-app-menu-Help-Feedback");
            if(item){
                item.addEventListener("command", function() {
                    loadURI('http://comcast.couponwinner.com/support.aspx');
                });      
            }
            
            item = framework.mainContainer.getElementById( framework.applicationId + '-coupons-app-menu-disable-alert');
            if(item){
                item.setAttribute("checked", this.$couponButton.getAttribute('alertDisabled')=='true'?'true':'false');
                item.addEventListener('command',function(event){
                    self.$couponButton.setAttribute('alertDisabled',(self.$couponButton.getAttribute('alertDisabled')=='true')?'false':'true');
                });
		    }
            
		    framework.mainContainer.addEventListener('load',function(){
				    framework.$applyPersistenceToElement(self.$couponButton);
		    });
	    };


        this.$onDocumentLoad = function(url,disp){
		    //console.log("coupons.$onDocumentLoad");
 		    if((self.$couponButton.getAttribute("hidden") == "true") || (dtxFramework.IE && !disp.TopLevelContainer)) return;
 		    var merchant = self.getMerchantByUrl(url);
		    oGSObj.lastDomainVisited = oGSObj.getCurrentDomain();
		    if(oGSObj.lastDomainVisited == "" || oGSObj.lastDomainVisited == null)
			    return;
    		
		    framework.setTimeout(function(){ //this timeout is there to fix an issue on Mathieu (slow) computer where coupons would show too quickly; just before afsrc hijack is found inside fiddler...
                //framework.getLogger().warn("onDocumentLoad GO");
			    if(merchant && oGSObj.getAfsrcVALUECookie() == "false"){
                    //framework.getLogger().warn("onDocumentLoad merchant exist getAfsrcVALUECookie is false ");
				    if(self.$redeemInProcess && merchant.id == self.$currentMerchant.id){
                        //framework.getLogger().warn("onDocumentLoad redeemInProcess is true");
					    self.$redeemInProcess = false;
					    framework.clearTimeout(self.$redeemTimeoutId);
				    }else if (!self.$currentMerchant || merchant.id != self.$currentMerchant.id){
                        //framework.getLogger().warn("onDocumentLoad currentMerchant getCoupons.");
					    self.$currentMerchant = merchant;
					    self.getCouponData(merchant.id,url);
				    }
			    }else if(!self.$redeemInProcess){
                    //framework.getLogger().warn("non merchant or getAfsrcVALUECookie is true. NOT redeemInProcess... refreshs button.");
				    self.$currentMerchant = null;
				    self.$currentCoupon = null;
				    self.refreshCouponButton();
			    }
    			
			    if(dtxFramework.MOZILLA){
				    var tabBrowser = self.getTabBrowserByUrl(url);
				    if (tabBrowser == null)
				        return;
				    tabBrowser.$currentMerchant = self.$currentMerchant;
				    tabBrowser.$currentCoupon = self.$currentCoupon;
			    }
		    }, 1000);
        };
        
	    this.getTabBrowserByUrl = function(url){
		    for(var index = 0; index < gBrowser.browsers.length; index++){
			    var currentBrowser = gBrowser.getBrowserAtIndex(index);
			    if (url == currentBrowser.currentURI.spec) {
				    return currentBrowser;
			    }
		    };
			
		    return null;
	    };
        
	    this.redeemCoupon = function(){
		    if(this.$currentCoupon && this.$currentCoupon.trackingLink && !self.$currentCoupon.redeemed){
			    this.$redeemInProcess = true;
			    self.$currentCoupon.redeemed = true;
			    framework.loadURI(this.$currentCoupon.trackingLink+"&aid="+self.TRACKING_ID);
			    this.$redeemTimeoutId = framework.setTimeout(function(){
					    // clear the redeem in process flag
					    self.$redeemInProcess = false;
			    },this.REDEEM_TIMEOUT);
		    }
	    };

	    this.$createPanel = function(){
		    //console.log("coupons.$createPanel");
		    this.$panel = framework.createElement('window');
    		
		    this.$panel.setAttribute('ontop','true');
		    this.$panel.setAttribute('dependent','true');
    		
		    var baseDir = "content/widgets/"+manifest_id;
    		
		    this.$panel.setAttribute('width',278);
		    this.$panel.setAttribute('height',261);
		    this.$panel.setAttribute('resize', 'false');
		    this.$panel.setAttribute('noframe', 'true');
		    this.$panel.setAttribute('style', 'overflow: hidden;');
		    this.$panel.setAttribute('url',framework.makeChromeURL(baseDir+"/panel.html"));
		    //this.$panel.setAttribute('transparent', 'true');
		    //this.$panel.setAttribute('keycolor', '#FF00FF');
    		
    		
		    this.$panel.addEventListener("aftershowing", function(evt){
				    if(dtxFramework.IE){
					    self.$panel.$window.document.getElementById('CloseBtn').onclick = function(){self.hidePanel();};
                        // self.$panel.$window.document.getElementById('infoLink').onclick = function(){ 
                            // framework.loadURI('http://customer.comcast.com/Pages/FAQViewer.aspx?seoid=coupon-alert-window');
                        // };
					    self.$panel.$window.document.Script.init(self);
				    }else if(dtxFramework.MOZILLA){
					    self.$panel.$window.addEventListener("load", function(){
							    self.$panel.$window.document.getElementById('CloseBtn').onclick = function(){self.hidePanel();};
                                // self.$panel.$window.document.getElementById('infoLink').onclick = function(){ 
                                    // framework.loadURI('http://customer.comcast.com/Pages/FAQViewer.aspx?seoid=coupon-alert-window');
                                // };
							    self.$panel.$window.init(self);
					    },false);
				    }
		    });
	    };
    	
	    this.$clearPanelTimeout = function(){
		    if (this.$panelTimeoutId){
			    framework.clearTimeout(this.$panelTimeoutId);       
		    }
	    };
    	
	    this.displayPanel = function(timeout){
		    if(!this.$panel){
			    this.$createPanel();
			    var w = currentWindow ;//framework.getContentWindow();
			    var panelX = 0;
			    var panelY = 0;
    			
			    if(dtxFramework.IE) {
				    panelX = w.screen.width - 310;
				    panelY = w.screenTop+2;
			    }else if(dtxFramework.MOZILLA){
				    panelX = w.screenX + w.outerWidth - 310;
				    panelY = w.screenY + w.outerHeight - w.innerHeight + 110;
			    }
    			
    			
			    this.$panel.show(panelX, panelY);
		    }
    		
		    this.$panel.focus();
    		
		    this.$clearPanelTimeout();
    		
		    if(!isNaN(timeout)){
			    this.$panelTimeoutId = framework.setTimeout(function(){
					    if(self.$panel){
						    self.hidePanel();
					    }
			    },timeout);
		    }
	    };
    	
	    this.hidePanel = function(){
		    if(this.$panel){
			    this.$panel.close();
			    this.$panel = null;
		    }
	    };
	     
	    this.$loadMerchantsList = function(){
		    //console.log("$loadMerchantsList");
		    this.$merchantsList = {};
		    try{
			    var content = framework.loadFile(this.MERCHANTS_LIST, true);
			    if(content){
				    var xmlDoc = framework.loadXML(content);
				    var nodes = xmlDoc.getElementsByTagName("Merchant");
				    if(nodes){
				        //console.log("nodes length=" + nodes.length);
					    for(var i=0;i<nodes.length;i++){
						    try{
							    this.$merchantsList[(nodes[i].getElementsByTagName("MerchantID")[0]).firstChild.data] = (nodes[i].getElementsByTagName("MerchantUrl")[0]).firstChild.data;
						    }catch(ex){
							    try{
								    this.$merchantsList[nodes[i].getAttribute('MerchantID')] = nodes[i].getAttribute('MerchantURL');  //Old feed backup
							    }catch(ex){}
						    }
					    }
				    }
			    }
		    }catch(e){
			    console.log("Error parsing Merchants List: "+e.message);
		    }
	    };
    	
	    this.$downloadMerchantsList = function(){
		    //console.log("$downloadMerchantsList");
		    framework.download(this.MERCHANTS_URL,
			    function(url, httpcode, content) {
				    try{
					    if (httpcode === 200) {
						    framework.saveFile(self.MERCHANTS_LIST, content, true);
						    self.$loadMerchantsList();
					    }else{
						    console.log("Error downloading Merchants List. HTTP Code: " + httpcode);
					    }
				    }catch(e){
					    console.log("download error: "+e.message)
				    }
			    });
	    };
    	
	    this.$updateMerchantsList = function(){
		    var lastModified =  new Date(framework.getLastModifiedTime(this.MERCHANTS_LIST));
		    var age = (new Date()).getTime() - lastModified.getTime();
		    if(age >= this.MERCHANTS_TTL){
			    this.$downloadMerchantsList();
		    }
	    };

        var $REGEX_IP = /^((\d+\.){2})?(\d+\.){3}\d+$/i;
        var $REGEX_DOMAIN = /([\w-]+(\.[a-z]{3})?(\.[a-z]{2})?$)/i;
        var $REGEX_WWW = /^www\./i;
        function getDomainName(){
            var domain_name = oGSObj.getCurrentDomain(); //framework.getContentDocument().domain.toString();
            if (domain_name.match($REGEX_IP))
                return domain_name;
               
         else
             {
                domain_name = domain_name.replace($REGEX_WWW, "");
                var res = domain_name.match($REGEX_DOMAIN);
                return (res? res[0] : domain_name);
            }
        };	

	    //Local matchUrlHost is used because the fixed one is available from framework 1.0.3.15b only
	    //This will ensure that the widget works properly with older framework
	    this.matchUrlHost = function(url, hostname){
		    if(hostname == null)
			    return;
		    var host = getDomainName();//framework.extractHost(url);
		    hostname= hostname.toLowerCase();
		    if (host && hostname){
                var pos = hostname.indexOf(host);
			    return ((pos == 0) || (pos > 0 && (hostname.charAt(pos-1) == "." || host.charAt(0) == ".")));
		    }
		    return false;
	    };

	    this.getMerchantByUrl = function(url){
		    try{
		        //console.log("getMerchantByUrl." + url);
		        for(var id in self.$merchantsList){
			       // console.log("id=" + id + "|" + self.$merchantsList[id]);
			        if(self.matchUrlHost(url,self.$merchantsList[id])){
				        return {'id':id, 'host': self.$merchantsList[id]};
			        }
		        }
		    }catch(ex){
		        console.log("getMerchantByUrl.error:" + ex.message);
		    }
	    };
	    
	    this.isAlertEnabled = function(){
		    return this.$couponButton.getAttribute('alertDisabled')!='true';
	    };
    	
	    this.isAlertEnabled = function(){
		    return this.$couponButton.getAttribute('alertDisabled')!='true';
	    };

	    this.refreshCouponButton =  function(){
		    //console.log("refreshCouponButton." + self.$currentCoupon);
		    var image = this.appPath + "ico-dollar.png";
    		
		    if(self.$currentCoupon)
			    image = this.appPath + "ico-coupon.png";
    			
		    self.$couponButton.setAttribute('image',image);
	    };
	    
	    this.$onCouponDataReady = function(url,status, responseText,triggerUrl){
           // console.log("onCouponDataReady last check before showing coupons... " + oGSObj.getAfsrcVALUECookie());
		    if(status == 200 && oGSObj.getAfsrcVALUECookie() == "false"){
			    self.$currentCoupon = self.parseCouponData(responseText);
    			
			    if(dtxFramework.MOZILLA){
				    var tabBrowser = self.getTabBrowserByUrl(triggerUrl);
				    tabBrowser.$currentCoupon = self.$currentCoupon;
			    }
			    var url = browser.currentURI.spec;
			    if(self.$currentCoupon && self.$currentMerchant && self.matchUrlHost( url ,self.$currentMerchant.host)){
				    self.refreshCouponButton();
				    if(self.$couponButton.getAttribute("hidden") != "true"){
					    if(self.isAlertEnabled() || (self.$panel && self.$panel.$window)){
						    self.hidePanel();
						    self.displayPanel(self.PANEL_TIMEOUT);
						    //Save auto show as activity
						    var statElement = self.getStatsElement();
						    if(statElement){
							    statElement.addClickActivity(framework.applicationId + '-coupons-app-menu-auto-showpanel');
						    }//Save auto show as activity
					    }//Panel Display
				    }
			    }
		    }
	    };

	    this.parseCouponData = function(data){
		    var coupon = {};
    		
		    try{
			    var xmlDoc = framework.loadXML(data);
			    var nodes = xmlDoc.getElementsByTagName("CouponID");
			    coupon.couponID = nodes[0].firstChild.data;
			    nodes = xmlDoc.getElementsByTagName("MerchantID");
			    coupon.merchantID = nodes[0].firstChild.data;
			    nodes = xmlDoc.getElementsByTagName("CouponCode");
			    try{
				    coupon.couponCode = nodes[0].firstChild.data;
			    }
			    catch(e){
				    coupon.couponCode = "";
			    }
			    nodes = xmlDoc.getElementsByTagName("Headline");
			    coupon.headline = nodes[0].firstChild.data;
			    nodes = xmlDoc.getElementsByTagName("Description");
			    coupon.description = nodes[0].firstChild.data;
			    nodes = xmlDoc.getElementsByTagName("MerchantName");	
			    try{
				    coupon.merchantName = nodes[0].firstChild.data;	//Old feed backup
			    }
			    catch(ex){
				    coupon.merchantName = "";
			    }
			    nodes = xmlDoc.getElementsByTagName("MerchantImageUrl");
			    if(nodes == null){
				    nodes = xmlDoc.getElementsByTagName("MerchantImage");	//Old feed backup
				    coupon.merchantImage = nodes[0].firstChild.data;
			    }
			    else
				    coupon.merchantImage = nodes[0].firstChild.data;
			    nodes = xmlDoc.getElementsByTagName("TrackingUrl");
			    if(nodes == null){
				    nodes = xmlDoc.getElementsByTagName("TrackingLink");	//Old feed backup
				    coupon.trackingLink = nodes[0].firstChild.data;
			    }
			    else
				    coupon.trackingLink = nodes[0].firstChild.data;

			    coupon.clickToRedeem = (coupon.couponCode == "" || !coupon.couponCode);
    			
			    coupon.redeemed = false;
		    }catch(e){
			    coupon = null;
			    //console.log("Error parsing Coupon Data: "+e.message);
		    }
    		
		    return coupon;
	    };


	    this.getCouponData = function(merchanId,triggerUrl){
		    //console.log("getCouponData");
		    framework.download(this.COUPON_URL+merchanId+"/?nocache=" + Date.now(),function(url,status, responseText){
                //framework.getLogger().warn("getCouponData returned coupons...");
			    self.$onCouponDataReady(url,status, responseText,triggerUrl);
		    });
	    };

   };
   
   
   var oGSObj = new function() {
    var _self = this;
    this.lastDomainVisited = null;
    this.LIFETIME = 24 * 60 * 60 * 1000;
    this.stopCheckingHJ = false;
	this.tabBrowser = gBrowser.selectedBrowser;
    this.$init = function() {
        coupons.$init();
        //console.log("oGSObj.$init");
  		framework.addEventListener(self, "beforenavigate", _self.$onBeforeNavigate);
		framework.addEventListener(self, "locationchange", _self.$onLocationChange);
		gBrowser.tabContainer.addEventListener("TabSelect", _self.$onTabSelect, false);
    };
    
    this.$onBeforeNavigate = function(src,url,httpChannel){
        //console.log("oGSObj.$onBeforeNavigate ");
	    if(url == null || url.indexOf("http") != 0)
		    return;
	    var dd = _self.getCurrentDomain();
	    if (dd == "" || dd.indexOf("about:") != -1)
	        return;
		if(_self.$isOtherPublishersLinkDetected(url)){ //on FF, we receive all HTTP requests, 302 included.
	        //console.log("oGSObj.$onBeforeNavigat.url=" + url );
			if(httpChannel.getRequestHeader("Status") == "302"){
		        _self.setAfsrcVALUECookie("true");
		        _self.tabBrowser.afsrcGetValueisFound = "true";
			}
		}
    };
    
    this.$onLocationChange = function(url){
        try
        {
        var currentDomain = _self.getCurrentDomain(url);
		if(_self.isCurrentDomainInMerchantList() && currentDomain != "")	//Fix issue where some hijacking url are found inside the website DOM, such as google ads
			_self.stopCheckingHJ = true;
		else
			_self.stopCheckingHJ = false;

		//fix for on domain switch from one merchant with hijacking to another merchant without hijacking.
		if(_self.isCurrentDomainInMerchantList(self.lastDomainVisited) && currentDomain != _self.getAfsrcDOMAINCookie() && _self.getAfsrcDOMAINCookie() != null && _self.getAfsrcDOMAINCookie() != ""){
            //framework.getLogger().warn("setting setAfsrcVALUECookie to false #1");
			_self.setAfsrcVALUECookie("false");
			_self.setAfsrcDOMAINCookie("");
			_self.lastDomainVisited = "";
			_self.tabBrowser.afsrcGetValueisFound = "false";
			_self.tabBrowser.afsrcDomain = "";
		}
		
		if(_self.getAfsrcVALUECookie() == "true" && _self.isCurrentDomainInMerchantList()){
			_self.setAfsrcDOMAINCookie(currentDomain);
			_self.tabBrowser.afsrcDomain = self.getAfsrcDOMAINCookie();
		}
		//fix when a google ads click will end on a 200 with a late redirect... 
		//Basically : do nothing while 302 redeem is in progress...
		if (_self.getAfsrcVALUECookie() == "true" && (_self.getAfsrcDOMAINCookie() == "" || _self.getAfsrcDOMAINCookie() == null))
			return;
		
		if (_self.getAfsrcVALUECookie() == "true" && _self.getAfsrcDOMAINCookie() != currentDomain){
			if(_self.getAfsrcDOMAINCookie() != currentDomain){
                //framework.getLogger().warn("setting setAfsrcVALUECookie to false #2");
				_self.setAfsrcVALUECookie("false");
				_self.setAfsrcDOMAINCookie("");
				//framework.setTimeout(function(){alert("false 2");},100);
			}
			_self.tabBrowser.afsrcGetValueisFound = "false";
			_self.tabBrowser.afsrcDomain = "";
		}
        //console.log("oGSObj.$onLocationChange ");
        }catch(ex){
            console.log("oGSObj.$onLocationChange.error:" + ex.message);
        }
    };

    this.$onTabSelect = function(){
	    _self.tabBrowser = gBrowser.selectedBrowser;
	    _self.setAfsrcVALUECookie(self.tabBrowser.afsrcGetValueisFound);
	    _self.setAfsrcDOMAINCookie(self.tabBrowser.afsrcDomain);
        //console.log("oGSObj.$onTabSelect ");
	};

    this.setAfsrcVALUECookie = function(val){
	    framework.createDomainCookie("http://apps.mystart.com", framework.applicationId+"_CouponsAfsrcgetvalueisfoundC", val, 365);
    };
	
    this.setAfsrcDOMAINCookie = function(val){
	    framework.createDomainCookie("http://apps.mystart.com", framework.applicationId+"_CouponsAfsrcdomainC", val, 365);	
    };
    
    this.getAfsrcVALUECookie = function(){
	    //init cookies on first use.
	    if(framework.hasDomainCookie("http://apps.mystart.com", framework.applicationId+"_CouponsAfsrcgetvalueisfoundC") != "false" && framework.hasDomainCookie("http://apps.mystart.com", framework.applicationId+"_CouponsAfsrcgetvalueisfoundC") != "true"){
            //framework.getLogger().warn("setting setAfsrcVALUECookie to false #4");
		    _self.setAfsrcVALUECookie("false");
		    _self.setAfsrcDOMAINCookie("");
		    //framework.setTimeout(function(){alert("false 3");},100);
		    return "false";
	    }
	    return framework.hasDomainCookie("http://apps.mystart.com", framework.applicationId+"_CouponsAfsrcgetvalueisfoundC");
    };

    this.getAfsrcDOMAINCookie = function(){
	    return framework.hasDomainCookie("http://apps.mystart.com", framework.applicationId+"_CouponsAfsrcdomainC");		
    };

    this.$isOtherPublishersLinkDetected = function(url){
	    if(url == null)
		    return false;
	    return (url.indexOf("?afsrc=1") > 0 || url.indexOf("&afsrc=1") > 0 || url.indexOf("linksynergy.com") > 0 || url.indexOf("affiliate.buy.com") > 0 || 
			     url.indexOf("googleadservices.com") > 0 || url.indexOf("clickserve.cc-dt.com") > 0 || url.indexOf("gan.doubleclick.net") > 0 || 
			     url.indexOf("clkuk.tradedoubler.com") > 0 || url.indexOf("rover.ebay.com") > 0 || url.indexOf("send.onenetworkdirect.net") > 0 || 
			     url.indexOf("tkqlhce.com") > 0 || url.indexOf("jdoqocy.com") > 0 || url.indexOf("anrdoezrs.net") > 0 || url.indexOf("kqzyfj.com") > 0 || 
			     url.indexOf("dpbolvw.net") > 0 || url.indexOf("avantlink.com") > 0 || url.indexOf("track.webgains.com") > 0 || url.indexOf("awin1.com") > 0 || 
			     url.indexOf("gopjn.com") > 0 || url.indexOf("linkconnector.com") > 0 || url.indexOf("pjatr.com") > 0 || url.indexOf("pntra.com") > 0 || 
			     url.indexOf("pntrac.com") > 0 || url.indexOf("pntrs.com") > 0 || url.indexOf("shareasale.com") > 0
			    );
    };

	this.getCurrentDomain = function(url){
        if (!url)
            var url = browser.currentURI.spec;
        var dd = framework.extractHost(url);
        if(dd == null || dd.indexOf(".") < 1)
	        return "";
		
        if(dd.split(".").length > 2)
	        dd = dd.substring(dd.indexOf(".")+1);
	        
        //console.log("oGSObj.getCurrentDomain.dd=" + dd);
        return dd;
    };

    this.isCurrentDomainInMerchantList = function(overrideHost){			
	    var dd;
			
	    if(coupons.$merchantsList == null)
		    return null;
		
	    if(overrideHost != null)
		    dd = overrideHost;
	    else
		    dd = _self.getCurrentDomain();
		
	    //console.log("oGSObj.isCurrentDomainInMerchantList." + dd +  "|" + coupons.getMerchantByUrl(dd));
	    return (coupons.getMerchantByUrl(dd) != null);
    };

    
    framework.setTimeout(function () {		
	    _self.$init();
	}, 1000); 
   };
}
