var appObj = null;

function onWhyClick(){
	$('#couponInfo').css({display: 'none'});
	//$('#infoLink').css({display: 'none'});
	$('#whyInfo').css({display: 'block'});
}

function onBackClick(){
	$('#whyInfo').css({display: 'none'});
	$('#couponInfo').css({display: 'block'});
	//$('#infoLink').css({display: 'block'});
}

function onActivateClick(){
	if(!appObj.$currentCoupon.redeemed){
		appObj.redeemCoupon();
		appObj.$clearPanelTimeout();
	}

	refreshDisplay();
}

function displayHint(bDisplay){
	if(bDisplay){
		//$('#infoLink').css({display: 'none'});
		if(navigator.userAgent.toLowerCase().indexOf('firefox') > -1)	//deactivating copy for IE, as requested by Etzer over pho
			$('#copyHint').css({display: 'block'});
	}else{
		$('#copyHint').css({display: 'none'});
		//$('#infoLink').css({display: 'block'});
	}
}

function refreshDisplay(){
	if(appObj.$currentCoupon){
	    $('#noCouponText').css({display: 'none'});
	    $('#couponInfText').css({display: 'block'});
	    $('#TextDiv').html(appObj.$currentCoupon.merchantName);
	    $('#placeholder-logo').attr('src', appObj.$currentCoupon.merchantImage);
	    $('#headline').html(appObj.$currentCoupon.headline);
	    $('#description').html(appObj.$currentCoupon.description);

    	$('#coupon-code-div').css({display: (appObj.$currentCoupon.redeemed && !appObj.$currentCoupon.clickToRedeem)?'block':'none'});
    	$('#coupon-activated').css({display: (appObj.$currentCoupon.redeemed && appObj.$currentCoupon.clickToRedeem)?'block':'none'});
    	$('#getcoupon-btn').css({display: (!appObj.$currentCoupon.redeemed)?'block':'none'});

        if(appObj.$currentCoupon.redeemed && !appObj.$currentCoupon.clickToRedeem){
            $('#coupon-code-value').html(appObj.$currentCoupon.couponCode);

			
            // attach context menu
			if(navigator.userAgent.toLowerCase().indexOf('firefox') > -1) {	//deactivating copy for IE, as requested by Etzer over phone 
				$('#coupon-code-value').contextMenu({
					menu: 'copyToClipboard'
				}, function(action, el, pos) {
					
					if(navigator.userAgent.toLowerCase().indexOf('firefox') > -1) {
					   copyIntoClipboardFF(appObj.$currentCoupon.couponCode);
					}else{
					   for_clipboard.innerText = appObj.$currentCoupon.couponCode;
					   var rng = for_clipboard.createTextRange();
						rng.execCommand('copy');
					 }
				});
			}
         }

	}else{
        $('#noCouponText').css({display: 'block'});
        $('#couponInfText').css({display: 'none'});
        $('#TextDiv').html(appObj.appTitle);
	}


	//small position fix for FF
	if (jQuery.browser.mozilla) {
		$('#save-image').css({left: '10px'});
	}

	$('#ContentFrame').css({display: 'block'});
}

function copyIntoClipboardFF(text){ // For FF

    var str = Components.classes["@mozilla.org/supports-string;1"].createInstance(Components.interfaces.nsISupportsString);
    str.data = text;

    var trans = Components.classes["@mozilla.org/widget/transferable;1"].createInstance(Components.interfaces.nsITransferable);
    if (!trans) return false;

    trans.addDataFlavor("text/unicode");
    trans.setTransferData("text/unicode", str, text.length * 2);

    var clipid = Components.interfaces.nsIClipboard;
    var clip   = Components.classes["@mozilla.org/widget/clipboard;1"].getService(clipid);
    if (!clip) return false;

    clip.setData(trans, null, clipid.kGlobalClipboard);
}

function init(caller){
	appObj = caller;
	refreshDisplay();
}